Skip to content

Update notification preferences

PATCH
/api/v1/settings/notifications
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/settings/notifications \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "channels": [ "example" ], "email": true, "sms": false }'

Update email, SMS, and channel notification preferences.

Media typeapplication/json
NotificationPreferences

Notification preference fields.

object
channels
Channels
Array<string>
email
Email
boolean
default: true
sms
Sms
boolean

Successful Response

Media typeapplication/json
NotificationPatchResponse

Response shape for PATCH /settings/notifications.

object
data
required
Data
object
key
additional properties
any
Examplegenerated
{
"data": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}